##########################################################################
# If one of the Grid radiobuttons is selected, a graph is drawn over the #
# canvas.  The spacing is dependant on which button is invoked, and the  #
# default is "No grid".                                                  #
# It is arranged to be under all user-created items and above the loaded #
# image.                                                                 #
##########################################################################
proc Do_Grid value {

# Arg : Which option graphsize has been selected.
#	"value=0" - Graph is removed from canvas
#	"value=25" - Graph is drawn with line-spacing of 25 pixels
#	"value=50" - Graph is drawn with line-spacing of 50 pixels

# If selection is not 'No_grid', delete any previous graph, and create
# a new one with the correct spacing.  If selection is 'No_grid',
# delete all graph

    if {$value!=0} {
        eval ".can.c1 delete graph"
        for {set a 0} {$a<=1000} {incr a $value} {
            eval ".can.c1 create line $a 0 $a 1000 -tags graph"
        }
        for {set a 0} {$a<=1000} {incr a $value} {
            eval ".can.c1 create line 0 $a 1000 $a -tags graph"
        }
    } else {eval ".can.c1 delete graph"}

    # This lowers the grid to below the first canvas item draw by the user.
    catch {.can.c1 lower graph item0}
}
