#############################################################################
# Create the default binding to allow the user to select any item currently #
# on the canvas for modification.                                           #
#############################################################################
proc Select_New {} {

    global _NITEM

# If <ButtonPress-1> is pressed while cursor is in a shape tagged "item"
# then shape is selected for modification
    .can.c1 bind item <ButtonPress-1> {+

# Set the scaling and moving vars to 0, so the binding for those do not get
# invoked, causing an error on BR-1
        set Scaling 0; set Move_motion 0

# Before any new tags are associated with shapes, return any previously
# selected shapes to unselected
        .can.c1 addtag item withtag selected
        .can.c1 dtag selected

# Give the new item the tag "selected"
        .can.c1 addtag selected withtag current

# Set a variable to hold the index of the item.  Taken from the "taglist"
        set thisItem [lindex [.can.c1 gettags selected] 0]

# Call procedure to select item passing it the tag of the item to be selected
        Auto_Select $thisItem

# Raise the selected item above all others if the Auto-Raise option is
# switched on
    if {$_Auto_Raise} {
        .can.c1 raise $thisItem all
    }

# Remove the tag 'item' from the selected shape, so any modifications can 
# be carried out without always reselecting the same shape
        .can.c1 dtag $thisItem item

# Get the attributes of the item to be selected (2nd element of tags), and
# set the global values to display these.
        set attributes [lindex [.can.c1 gettags $thisItem] 1]
        set _COLOUR [lindex $attributes 1]
        set _LINE_WIDTH [lindex $attributes 2]
        if {$_LINE_WIDTH==0} {set _STYLE fill} else {set _STYLE outline}
    }
}
